        subroutine guw8 (argmnt,karg)
c
c fornisce gli argomenti immessi nella linea di comando.
c uso: togliere i commenti (*) relativi al compilatore utilizzato
c a.tento 2/98 v.1.1
c
c ARGOMENTI :
c            ---- output ----
c argmnt  : vettore character*(length) contenente gli argomenti della
c           linea di comando, dimensionato nel modulo che chiama questa
c           subroutine.
c karg    : numero di argomenti immessi nella linea di comando
c
c PARAMETER (length=200)
c
c
c es. C:> programma -c 123 < pippo "es. # 1" > pluto 3.14159
c -->   karg = 4
c  argmnt(1) = '-c'
c  argmnt(2) = '123'
c  argmnt(3) = 'es. # 1'
c  argmnt(4) = '3.14159'
c
c......................................................................

c *********************************************************************
c --- IBM AIX PLATFORM
        integer karg, length, i, iargc
        parameter (length=200)
        character*(length) argmnt(*)
c
        karg = iargc()
        do 1 i = 1, karg
         call getarg(i,argmnt(i))
   1    continue
c
        return
        end
c**********************************************************************
c --- inizio ---  HP-UX FORTRAN/9000 B.10.20.01
*        integer karg, length, i, iargc
*        parameter (length=200)
*        character*(length) argmnt(*)
c
*        karg = iargc()
*        do 1 i = 1, karg
*        call igetarg(i,argmnt(i),length)
*   1    continue
*c
*        return
*        end
c ---  fine  ---  HP-UX FORTRAN/9000 B.10.20.01
c**********************************************************************
c
c**********************************************************************
c --- inizio ---  GNU project Fortran (v0.5.23)
c                 DIGITAL Fortran 77 Driver V5.1-8
c        integer karg, length, i, iargc
c        parameter (length=200)
c        character*(length) argmnt(*)
c
c        karg = iargc()
c        do 1 i = 1, karg
c        call getarg(i,argmnt(i))
c   1    continue
c
c        return
c        end
c ---  fine  ---  GNU project Fortran (v0.5.23)
c                 DIGITAL Fortran 77 Driver V5.1-8
c**********************************************************************
c
c**********************************************************************
c --- inizio ---  Microsoft Fortran PowerStation (v4.0)
*        use msflib, only: getarg, nargs
*        integer karg, length
*        integer*2 i, ka
*        parameter (length=200)
*        character*(length) argmnt(*)
*c
*        ka = nargs() - 1
*        karg = int(ka)
*        do 1 i = 1, karg
*        call getarg(i,argmnt(i))
*   1    continue
*c
*        return
*        end
c ---  fine  ---  Microsoft Fortran PowerStation (v4.0)
c**********************************************************************
c
c**********************************************************************
c --- inizio ---  Compaq Visual Fortran (v6.5)
*        use dflib, only: getarg, nargs
*        integer karg, length
*        integer*2 i
*        parameter (length=200)
*        character*(length) argmnt(*)
*c
*        karg = nargs() - 1
*        do 1 i = 1, karg
*        call getarg(i,argmnt(i))
*   1    continue
*c
*        return
*        end
c --- fine ---  Compaq Visual Fortran (v6.5)
c**********************************************************************
c
